@import "../../../main-style.scss";

.centered-content{
  display: flex;
  justify-content: center;
  align-items: center;
  width: 100%;
  height: 100%;
}

.task-manager-container{
  display: flex;
  width: 100%;
  height: 100%;
  max-width: 1000px;
  max-height: 600px;
}

.sidebar{
  display: flex;
  flex-direction: column;
  width: 250px;
  background: white;

  padding: 42px;
  border-top-left-radius: 8px;
  border-bottom-left-radius: 8px;
}

.tasks-list-container{
  display: flex;
  position: relative;
  flex-direction: column;
  flex-grow: 1;
  padding: 42px;
  border-top-right-radius: 8px;
  border-bottom-right-radius: 8px;
}

.title{
  font-family: 'Lato', sans-serif;
  font-size: 24px;
  text-transform: uppercase;
  letter-spacing: 2px;
}

.list-menu{
  display: flex;
  flex-direction: column;
  max-height: 400px;
  overflow-y: auto;
  overflow-x: hidden;
  margin-top: 15px;
  margin-bottom: 15px;
  flex-grow: 1;

  &::-webkit-scrollbar {
    height: 4px;
    width: 2px;
  }

  &::-webkit-scrollbar-track {
    background-color: rgba(0, 0, 0, 0.26) !important;
  }

  &::-webkit-scrollbar-thumb {
    background-color: rgba(0, 0, 0, 0.3) !important;
  }

  .list-menu-item {
    display: flex;

    align-items: center;
    padding: 10px 15px;
    border-radius: 5px;
    font-size: 14px;

    width: 100%;
    color: #5f5f5f;
    margin-bottom: 5px;





    &:hover {
      background: $light;
    }

    &.is-active{
      background-color: #cff8ef;
      color: $dark-green;
    }
  }
}

.task{
  background-color: white;
  padding: 15px 20px;
  border-radius: 5px;
  margin-top: 10px;

  &:not(.complete){
    cursor: pointer;
    transition: box-shadow 0.2s ease, transform 0.2s ease;

    &:active{
      transform: scale(0.95);
    }

    &:hover{
      box-shadow: 0 0 0 5px #eeeeee;
    }
  }

  &.complete {
    text-decoration: line-through;
    opacity: 0.8;
  }
}

.circle-add-button{
  height: 50px;
  width: 50px;
  position: absolute;
  bottom: 35px;
  right: 35px;
  border: none;
  border-radius: 50%;
}
